Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511081 - [abrt] xfce4-terminal: gdk_x11_device_manager_xi2_translate_event(): xfce4-terminal killed by SIGSEGV
Summary: [abrt] xfce4-terminal: gdk_x11_device_manager_xi2_translate_event(): xfce4-te...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-terminal
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bca17c3e2dfbc0c2ad1baf69ea4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 15:58 UTC by Sam Varshavchik
Modified: 2018-03-15 17:17 UTC (History)
3 users (show)

Fixed In Version: xfce4-terminal-0.8.7.1-1.fc27 xfce4-terminal-0.8.7.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-15 15:27:45 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: cgroup (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: core_backtrace (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: cpuinfo (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: dso_list (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: environ (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: exploitable (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: limits (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: maps (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: open_fds (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: proc_pid_status (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details
File: var_log_messages (deleted)
2017-11-08 15:58 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2017-11-08 15:58:08 UTC
Description of problem:
SIGKILL-ing a process started remotely in an ssh connection kills the local terminal.

Version-Release number of selected component:
xfce4-terminal-0.8.6-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xfce4-terminal
crash_function: gdk_x11_device_manager_xi2_translate_event
executable:     /usr/bin/xfce4-terminal
journald_cursor: s=0e277caa7c8c4410bb51fe827a9d355f;i=22b1d00;b=f6e8362148c840399899678987a8f696;m=510e437094;t=55a2c79b9215f;x=c062ac275aae0244
kernel:         4.12.13-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1004

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gdk_x11_device_manager_xi2_translate_event at gdkdevicemanager-xi2.c:1711
 #1 _gdk_x11_event_translator_translate at gdkeventtranslator.c:51
 #2 gdk_event_source_translate_event at gdkeventsource.c:230
 #3 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #4 gdk_display_get_event at gdkdisplay.c:438
 #10 gtk_main at gtkmain.c:1322

Comment 1 Sam Varshavchik 2017-11-08 15:58:14 UTC
Created attachment 1349498 [details]
File: backtrace

Comment 2 Sam Varshavchik 2017-11-08 15:58:15 UTC
Created attachment 1349499 [details]
File: cgroup

Comment 3 Sam Varshavchik 2017-11-08 15:58:16 UTC
Created attachment 1349500 [details]
File: core_backtrace

Comment 4 Sam Varshavchik 2017-11-08 15:58:17 UTC
Created attachment 1349501 [details]
File: cpuinfo

Comment 5 Sam Varshavchik 2017-11-08 15:58:19 UTC
Created attachment 1349502 [details]
File: dso_list

Comment 6 Sam Varshavchik 2017-11-08 15:58:20 UTC
Created attachment 1349503 [details]
File: environ

Comment 7 Sam Varshavchik 2017-11-08 15:58:21 UTC
Created attachment 1349504 [details]
File: exploitable

Comment 8 Sam Varshavchik 2017-11-08 15:58:22 UTC
Created attachment 1349505 [details]
File: limits

Comment 9 Sam Varshavchik 2017-11-08 15:58:24 UTC
Created attachment 1349506 [details]
File: maps

Comment 10 Sam Varshavchik 2017-11-08 15:58:25 UTC
Created attachment 1349507 [details]
File: open_fds

Comment 11 Sam Varshavchik 2017-11-08 15:58:26 UTC
Created attachment 1349508 [details]
File: proc_pid_status

Comment 12 Sam Varshavchik 2017-11-08 15:58:27 UTC
Created attachment 1349509 [details]
File: var_log_messages

Comment 13 Fedora Update System 2018-03-03 23:14:20 UTC
xfce4-terminal-0.8.7.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab2c603885

Comment 14 Fedora Update System 2018-03-03 23:14:33 UTC
xfce4-terminal-0.8.7.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2993a22bcc

Comment 15 Fedora Update System 2018-03-04 18:08:02 UTC
xfce4-terminal-0.8.7.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab2c603885

Comment 16 Fedora Update System 2018-03-04 18:34:09 UTC
xfce4-terminal-0.8.7.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2993a22bcc

Comment 17 Fedora Update System 2018-03-15 15:27:45 UTC
xfce4-terminal-0.8.7.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-03-15 17:17:51 UTC
xfce4-terminal-0.8.7.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.